Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.content.workflow
Class WorkflowIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WorkflowID>
              com.bea.portal.tools.content.workflow.WorkflowIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public class WorkflowIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WorkflowID>

Builds and parses `WorkflowID` instances.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`WorkflowIDBuilder()` Constructor.

Method Summary
`WorkflowID` | `createResourceID()` Create the `WorkflowID`.
`RepositoryID` | `getRepositoryID()` Deprecated use `getRepositoryInRepoModeID()`
`RepositoryInRepoModeID` | `getRepositoryInRepoModeID()` Get the `RepositoryInRepoModeID` of the repository.
`String` | `getWorkflowName()` Get the name of the workflow.
`WorkflowIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`WorkflowIDBuilder` | `setRepositoryID(RepositoryID repositoryID)` Deprecated use `setRepositoryInRepoModeID(RepositoryInRepoModeID)`
`WorkflowIDBuilder` | `setRepositoryInRepoModeID(RepositoryInRepoModeID repositoryID)` Change the `RepositoryInRepoModeID` of the repository.
`WorkflowIDBuilder` | `setWorkflowName(String name)` Change the name of the workflow.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkflowIDBuilder

    public WorkflowIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public WorkflowIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<WorkflowID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getRepositoryID

    public RepositoryID getRepositoryID()

  Deprecated use `getRepositoryInRepoModeID()`

  Get the `RepositoryID` of the repository.

  Returns
    the `RepositoryID` of the repository

### getRepositoryInRepoModeID

    public RepositoryInRepoModeID getRepositoryInRepoModeID()

  Get the `RepositoryInRepoModeID` of the repository.

  Returns
    the `RepositoryInRepoModeID` of the repository

### setRepositoryID

    public WorkflowIDBuilder setRepositoryID(RepositoryID repositoryID)

  Deprecated use `setRepositoryInRepoModeID(RepositoryInRepoModeID)`

  Change the `RepositoryID` of the repository.

  Parameters
    `repositoryID` - the `RepositoryID` of the repository
  Returns
    this `WorkflowIDBuilder`

### setRepositoryInRepoModeID

    public WorkflowIDBuilder setRepositoryInRepoModeID(RepositoryInRepoModeID repositoryID)

  Change the `RepositoryInRepoModeID` of the repository.

  Parameters
    `repositoryID` - the `RepositoryInRepoModeID` of the repository
  Returns
    this `WorkflowIDBuilder`

### getWorkflowName

    public String getWorkflowName()

  Get the name of the workflow.

  Returns
    the name of the workflow

### setWorkflowName

    public WorkflowIDBuilder setWorkflowName(String name)

  Change the name of the workflow.

  Parameters
    `name` - the name of the workflow
  Returns
    this `WorkflowIDBuilder`

### createResourceID

    public WorkflowID createResourceID()

  Create the `WorkflowID`.

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<WorkflowID>`
  Returns
    the `WorkflowID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.